<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_eb6cb4623735c07195e9" . "3735d659236d" => base64_decode("cHJldl9lbWF" . "pbF9hZGRyZX" . "Nz"), "_b070ffda70d" . "673baa2ab1a4" . "ca13c254c" => base64_decode("cHJldl91c2VybmFtZQ" . "=="), "_5439477835f9c7cc26a988f88cb1" . "9553" => base64_decode("cHJldl9mdWxsX25hbW" . "U="), "user_i" . "d" => base64_decode("dXNlcl9p" . "ZA=="), "_8cca4dd34e20c5344b" . "b2a30f2533c4e5" => base64_decode("ZnV" . "sbF" . "9uY" . "W1l"), "_baec81a782b" . "b3d538149a92" . "25688246e" => base64_decode("ZXZlbnRfc291cm" . "Nl"), "_dd45fa0d6586ab8e73f6f6f116b1a" . "970" => base64_decode("cHJldl9" . "1c2VyX2" . "lk"), "contex" . "t" => base64_decode("Y29udGV4d" . "A=="), "_539cf42" . "59a149ca" . "9dbb739b" . "2cdb7c60" . "8" => base64_decode("ZW1haW" . "xfYWRk" . "cmVzcw" . "=="), "_28c85ce81fee6532980262893b6f" . "2425" => base64_decode("dXNlcm5h" . "bWU="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["contex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["contex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8cca4dd" . "34e20c53" . "44bb2a30" . "f2533c4e" . "5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_28c85ce81fee6532" . "980262893b6f2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_539cf4259a149ca9dbb73" . "9b2cdb7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_dd45fa0d6586" . "ab8e73f6f6f11" . "6b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_5439477835f9c7cc2" . "6a988f88cb19553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_b070ffda70d673baa2ab1a4ca13c" . "254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_eb6cb4623" . "735c07195e" . "93735d6592" . "36d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_baec81a782bb3d538149a92256882" . "46e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}